Rapid7 Vulnerability & Exploit Database

Amazon Linux AMI: CVE-2019-7308: Security patch for kernel (ALAS-2019-1201)

Back to Search

Amazon Linux AMI: CVE-2019-7308: Security patch for kernel (ALAS-2019-1201)

Severity
5
CVSS
(AV:L/AC:M/Au:N/C:C/I:N/A:N)
Published
02/01/2019
Created
05/08/2019
Added
05/07/2019
Modified
05/07/2019

Description

kernel/bpf/verifier.c in the Linux kernel before 4.20.6 performs undesirable out-of-bounds speculation on pointer arithmetic in various cases, including cases of different branches with different state or limits to sanitize, leading to side-channel attacks.

Solution(s)

  • amazon-linux-upgrade-kernel

References

  • amazon-linux-upgrade-kernel

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;